package com.sysu.admin.controller.geo;

import com.sysu.admin.support.base.ServiceContext;
import com.xiesx.fastboot.base.result.BaseResult;
import com.xiesx.fastboot.base.result.R;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 读取样式信息
 */
@RequestMapping("/sld_style")
@Controller
public class SldStyleController extends ServiceContext {

    @RequestMapping(value = "/sign")
    @ResponseBody
    public BaseResult sign(String styleName){
        String sldXmlJson =  mSConfigService.getV(styleName);
        System.out.println(sldXmlJson);
        return R.succ(sldXmlJson);
    }

}
